version 16.0
log using "/Users/mrg19/Dropbox/InteractionsBook/replications/chapter3_exercise4/race.log", replace
#delimit ;

*     ***************************************************************** *;
*     ***************************************************************** *;
*       File-Name:      race.do                               			*;
*       Date:           1/17/2022                                       *;
*       Author:         MG                                             	*;
*       Purpose:        Replicate results for Question 4 in Chapter 3   *;
*       Input File:     rep_banks_2012a.dta                             *;
*       Output File:    race.log                              			*;
*       Data Output:    rep_banks_2012a.dta                             *;
*       Previous file:                                                  *;
*       Machine:                                                        *;
*     ****************************************************************  *;
*     ****************************************************************  *;

use "/Users/mrg19/Dropbox/InteractionsBook/replications/chapter3_exercise4/rep_banks_2012a.dta", clear;

*     ****************************************************************  *;
*           Summary Statistics                                          *;
*     ****************************************************************  *;

sum;

*     ****************************************************************  *;
*		Label and rename variables to match the discussion in Question	*;
*		4 in the Exercises at the end of Chapter 3						*;
*     ****************************************************************  *;

label var anger "anger";
label var racresent1 "symbolic resentment";
rename racresent1 symbolic_resentment;
gen resentment_anger=anger*symbolic_resentment;
label var resentment_anger "symbolic resentment -- angry";
label var angerres1 "anger * symbolic resentment";
rename racpolicy racepolicy;
gen resentment_calm = symbolic_resentment*(1-anger);
label var resentment_calm "symbolic resentment -- calm";

*     ****************************************************************  *;
*     ****************************************************************  *;
*		The following analyses have no control variables				*;
*     ****************************************************************  *;
*     ****************************************************************  *;

*     ****************************************************************  *;
*		Produce results from the standard interaction model shown in 	*;
*		Table 3.5 in Chapter 3 and Table S.3 in the Solutions chapter.	*;
*     ****************************************************************  *;

regress racepolicy symbolic_resentment anger resentment_anger;

*     ****************************************************************  *;
*		Produce results from the alternative interaction model shown in *;
*		Table S.3 in the Solutions chapter.								*;
*     ****************************************************************  *;

regress racepolicy anger resentment_calm resentment_anger;

*     ****************************************************************  *;
*		Produce results from the split sample strategy shown in Table	*;
*		S.3 in the Solutions chapter.									*;
*     ****************************************************************  *;

regress racepolicy symbolic_resentment if anger==0;

regress racepolicy symbolic_resentment if anger==1;

*     ****************************************************************  *;
*     ****************************************************************  *;
*		The following analyses include control variables				*;
*     ****************************************************************  *;
*     ****************************************************************  *;

*     ****************************************************************  *;
*		Standard interaction model										*;
*     ****************************************************************  *;

regress racepolicy symbolic_resentment anger resentment_anger fearres1 fear disgust disgusres1 ideology education income1 age south openissuejo1;

*     ****************************************************************  *;
*		Alternative interaction model									*;
*     ****************************************************************  *;

regress racepolicy anger resentment_calm resentment_anger fearres1 fear disgust disgusres1 ideology education income1 age south openissuejo1;

*     ****************************************************************  *;
*		Split sample strategy											*;
*     ****************************************************************  *;

regress racepolicy symbolic_resentment fearres1 fear disgust disgusres1 ideology education income1 age south openissuejo1 if anger==0;

regress racepolicy symbolic_resentment fearres1 fear disgust disgusres1 ideology education income1 age south openissuejo1 if anger==1;

log close;

clear;
