version 16.0
log using "/Users/mrg19/Dropbox/InteractionsBook/replications/chapter6_application1/data_preparation/feminism_collectdata.log", replace
#delimit ;

*     ***************************************************************** *;
*     ***************************************************************** *;
*       File-Name:      feminism_collectdata.do                         *;
*       Date:           January 22, 2022								*;
*       Author:         MG                                         		*;
*       Purpose:      	Grab the data necessary to create the 			*;
*						histograms in Figure 6.9.						*;
* 	    Input File:     anes2016_small.dta       		                *;
*       Output File:    age_uneducated.csv, age_educated.csv, and 		*;
*						anes2016_small.dta								*;
*       Data Output:    none                                            *;             
*       Previous file:  					     						*;
*       Machine:        desktop/laptop                     				*;
*     ****************************************************************  *;
*     ****************************************************************  *;

*     ****************************************************************  *;
*        Load data                                                      *;
*     ****************************************************************  *;

use "C:\Users\mrg19\Dropbox\InteractionsBook\replications\chapter6_application1\anes2016_small.dta", clear;

*     ****************************************************************  *;
*		Get just age variable for college uneducated					*;
*     ****************************************************************  *;

*     ****************************************************************  *;
*		Create dummy for college education, BA and up					*;
*     ****************************************************************  *;

gen college_educated=.;
replace college_educated=0 if education<13;
replace college_educated=1 if education>12;
tab college_educated;

keep if age~=. & college_educated==0;

keep age;
drop if age==90;

outfile using "C:\Users\mrg19\Dropbox\InteractionsBook\replications\chapter6_application1\age_uneducated.csv" , comma replace;

clear;

*     ****************************************************************  *;
*		Get just age variable for college educated						*;
*     ****************************************************************  *;

use "C:\Users\mrg19\Dropbox\InteractionsBook\replications\chapter6_application1\anes2016_small.dta", clear;

*     ****************************************************************  *;
*		Create dummy for college education, BA and up					*;
*     ****************************************************************  *;

gen college_educated=.;
replace college_educated=0 if education<13;
replace college_educated=1 if education>12;
tab college_educated;

keep if age~=. & college_educated==1;

keep age;
drop if age==90;

outfile using "C:\Users\mrg19\Dropbox\InteractionsBook\replications\chapter6_application1\age_educated.csv" , comma replace;

*     ****************************************************************  *;
*       Data collection complete										*;
*     ****************************************************************  *;

log close;

clear;