version 16.0
log using "/Users/mrg19/Dropbox/InteractionsBook/replications/chapter6_exercise1/exercise1_analysis.log", replace
#delimit ;

*     ***************************************************************** *;
*     ***************************************************************** *;
*       File-Name:      exercise1_analysis.do                   		*;
*       Date:           January 22, 2022								*;
*       Author:         MG                                         		*;
*       Purpose:        Replicate results for Question 1 in Chapter 6   *;
* 	    Input File:     anes2016_small.dta       		                *;
*       Output File:    exercise1_analysis.log							*;
*       Data Output:    none                                            *;             
*       Previous file:  					     						*;
*       Machine:        desktop/laptop                     				*;
*     ****************************************************************  *;
*     ****************************************************************  *;

*     ****************************************************************  *;
*        Load data                                                      *;
*     ****************************************************************  *;

use "C:\Users\mrg19\Dropbox\InteractionsBook\replications\chapter6_exercise1\anes2016_small.dta", clear;

*     ****************************************************************  *;
*		Create dummy for college education, BA and up					*;
*     ****************************************************************  *;

gen college_educated=.;
replace college_educated=0 if education<13 & education~=.;
replace college_educated=1 if education>12 & education~=.;
tab college_educated;

*     ****************************************************************  *;
*		Create interaction terms										*;
*     ****************************************************************  *;

gen female_educated=female*college_educated;

gen female_age=female*age;

*     ****************************************************************  *;
*     ****************************************************************  *;
*		Produce results shown in Table 6.4 in Exercise 1 at the end	of	*;
*		Chapter 6														*;
*     ****************************************************************  *;
*     ****************************************************************  *;

regress thermometer_feminist female college_educated age female_educated female_age 
			black asian native_american hispanic race_other religion_important left_right;

scalar df=e(df_r);
di df;

di invttail(df,0.025);

scalar t=invttail(df,0.025);
			
*     ****************************************************************  *;
*		Requested standard errors are the square root of the relevant	*;
*		diagonal elements of the variance-covariance matrix				*;
*     ****************************************************************  *;
			
estat vce;

*     ****************************************************************  *;
*		Effect of being female rather than male for a 30 year old 		*;
*		college graduate.												*;
*     ****************************************************************  *;

lincom  _b[female]+_b[female_educated]+_b[female_age]*30;

log close;

clear;