version 16.0
log using "/Users/mrg19/Dropbox/InteractionsBook/replications/chapter6_exercise2/exercise2_analysis.log", replace
#delimit ;

*     ***************************************************************** *;
*     ***************************************************************** *;
*       File-Name:      exercise2_analysis.do                   		*;
*       Date:           January 22, 2022								*;
*       Author:         MG                                         		*;
*       Purpose:        Replicate results for Question 2 in Chapter 6   *;
* 	    Input File:     final.dta       		                		*;
*       Output File:    exercise2_analysis.log							*;
*       Data Output:    none                                            *;             
*       Previous file:  					     						*;
*       Machine:        desktop/laptop                     				*;
*     ****************************************************************  *;
*     ****************************************************************  *;

set more off;

*     ****************************************************************  *;
*        Load dataset                                          			*;
*     ****************************************************************  *;

 use "C:\Users\mrg19\Dropbox\InteractionsBook\replications\chapter6_exercise2\final.dta", clear;

*     ****************************************************************  *;
*		Make polity variable go from 0 to 20 instead of -10 to +10		*;
*     ****************************************************************  *;

gen polity2=polity+10;

tab polity2 if year>1989;

*     ****************************************************************  *;
*		Create interaction terms										*;
*     ****************************************************************  *;

gen leaders_labor = women_leaders*labor;
gen leaders_polity2=women_leaders*polity2;
gen labor_polity2=labor*polity2;
gen leaders_labor_polity2=women_leaders*labor*polity2;
gen effectivequota_polity2=effectivequota*polity2;

*     ****************************************************************  *;
*     ****************************************************************  *;
*		Produce results shown in Table 6.5 in Chapter 6					*;
*     ****************************************************************  *;
*     ****************************************************************  *;

regress womens_representation women_leaders labor polity2 leaders_labor leaders_polity2 labor_polity2 leaders_labor_polity2 effectivequota;

scalar df=e(df_r);
di df;

di invttail(df,0.025);

scalar t=invttail(df,0.025);
			
*     ****************************************************************  *;
*		Requested standard errors are the square root of the relevant	*;
*		diagonal elements of the variance-covariance matrix				*;
*     ****************************************************************  *;
			
estat vce;

*     ****************************************************************  *;
*		20 unit increase in demand when supply is 80 and democracy is	*;
*		15																*;
*     ****************************************************************  *;

lincom (_b[women_leaders]+_b[leaders_labor]*80+_b[leaders_polity2]*15+_b[leaders_labor_polity2]*80*15)*20;


log close;

clear;